Bug 227196 - net-im/matterircd: Update to 0.16.8
Summary: net-im/matterircd: Update to 0.16.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-02 08:35 UTC by norrland
Modified: 2018-04-06 23:51 UTC (History)
2 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments
svnlite diff net-im/matterircd (1.57 KB, patch)
2018-04-02 08:35 UTC, norrland
norrland: maintainer-approval+
Details | Diff
svnlite diff net-im/matterircd (827 bytes, patch)
2018-04-05 11:15 UTC, norrland
dbaio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description norrland 2018-04-02 08:35:08 UTC
Created attachment 192092 [details]
svnlite diff net-im/matterircd

New version with some upstream bugfixes.

https://github.com/42wim/matterircd/releases/tag/v0.16.8

Path to default config file fixed.

QA:
Built with poudriere testport on 10.3,10.4,11.1 and 12.0.
Comment 1 Danilo G. Baio freebsd_committer 2018-04-05 00:27:39 UTC
Hi.

I removed the directory %%PREFIX%%/etc/matterircd/ in the submission to simplify the port.

Will it have additional config files? 
Certificates usually are stored in another places.

If it's not really necessary I suggest to keep that way.

Regards.
Comment 2 norrland 2018-04-05 11:15:10 UTC
Created attachment 192241 [details]
svnlite diff net-im/matterircd

Only updating the port version and distinfo as suggested.
Comment 3 commit-hook freebsd_committer 2018-04-06 23:49:52 UTC
A commit references this bug:

Author: dbaio
Date: Fri Apr  6 23:49:25 UTC 2018
New revision: 466693
URL: https://svnweb.freebsd.org/changeset/ports/466693

Log:
  net-im/matterircd: Update to 0.16.8

  Changes:	https://github.com/42wim/matterircd/blob/v0.16.8/changelog.md#v0168

  PR:		227196
  Submitted by:	norrland@nullbyte.se (maintainer)

Changes:
  head/net-im/matterircd/Makefile
  head/net-im/matterircd/distinfo
Comment 4 Danilo G. Baio freebsd_committer 2018-04-06 23:51:41 UTC
Committed, thanks!